net.sf.jasperreports.engine

## Interface JRAlignment

- All Superinterfaces:
    JRStyleContainer
  All Known Subinterfaces:
    JRImage, JRPrintImage, JRPrintText, JRStaticText, JRTextElement, JRTextField
  All Known Implementing Classes:
    IconLabelComponent, IconLabelComponentFill, JRBaseImage, JRBasePrintImage, JRBasePrintText, JRBaseStaticText, JRBaseTextElement, JRBaseTextField, JRDesignImage, JRDesignStaticText, JRDesignTextElement, JRDesignTextField, JRFillImage, JRFillStaticText, JRFillTextElement, JRFillTextField, JRRecordedValuesPrintImage, JRRecordedValuesPrintText, JRTemplateImage, JRTemplatePrintImage, JRTemplatePrintText, JRTemplateText

      public interface JRAlignment
      extends JRStyleContainer

  An interface that defines constants useful for alignment. All report elements that can be aligned in some way implement this interface.
  Version:
    $Id: JRAlignment.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HorizontalAlignEnum` | `getHorizontalAlignmentValue()` Gets the text horizontal alignment.
    `HorizontalAlignEnum` | `getOwnHorizontalAlignmentValue()`
    `VerticalAlignEnum` | `getOwnVerticalAlignmentValue()`
    `VerticalAlignEnum` | `getVerticalAlignmentValue()` Gets the text vertical alignment.
    `void` | `setHorizontalAlignment(HorizontalAlignEnum horizontalAlignment)` Sets the text horizontal alignment.
    `void` | `setVerticalAlignment(VerticalAlignEnum verticalAlignment)` Gets the text vertical alignment.

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

- - ### Method Detail

    - #### getHorizontalAlignmentValue

          HorizontalAlignEnum getHorizontalAlignmentValue()

      Gets the text horizontal alignment.
      Returns:
        a value representing one of the horizontal alignment constants in `HorizontalAlignEnum`

    - #### getOwnHorizontalAlignmentValue

          HorizontalAlignEnum getOwnHorizontalAlignmentValue()

    - #### setHorizontalAlignment

          void setHorizontalAlignment(HorizontalAlignEnum horizontalAlignment)

      Sets the text horizontal alignment.
      Parameters:
        `horizontalAlignment` - a value representing one of the horizontal alignment constants in `HorizontalAlignEnum`

    - #### getVerticalAlignmentValue

          VerticalAlignEnum getVerticalAlignmentValue()

      Gets the text vertical alignment.
      Returns:
        a value representing one of the vertical alignment constants in `VerticalAlignEnum`

    - #### getOwnVerticalAlignmentValue

          VerticalAlignEnum getOwnVerticalAlignmentValue()

    - #### setVerticalAlignment

          void setVerticalAlignment(VerticalAlignEnum verticalAlignment)

      Gets the text vertical alignment.
      Parameters:
        `verticalAlignment` - a value representing one of the vertical alignment constants in `VerticalAlignEnum`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com